- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CLevelMeter Interface Reference

Inheritance diagram for Exponent::GUI::Controls::CLevelMeter:

List of all members.

## Detailed Description

Displays a level meter.

Date:
  01/07/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CLevelMeter.hpp,v 1.6 2007/02/08 21:07:54 paul Exp

Definition at line 32 of file CLevelMeter.hpp.

## Public Member Functions

- CLevelMeter (IControlRoot *root, const long uniqueId, const CRect &area, const long numberOfSteps)
- virtual void drawControl (CGraphics &graphics)
- virtual void setLineColour (const CAlphaColour &lineColourMin, const CAlphaColour &lineColourMax)
- virtual void setValue (const double value)
- virtual ~CLevelMeter ()

## Protected Attributes

- long deltaPerStep [3]
- CDimension m_gradingDimension
- bool m_isVertical
- CAlphaColour m_lineColourMax
- CAlphaColour m_lineColourMin
- long m_numberOfSteps
- long m_numberToDraw

## Constructor & Destructor Documentation

Exponent::GUI::Controls::CLevelMeter::CLevelMeter | ( | IControlRoot * | root,
|  | const long | uniqueId,
|  | const CRect & | area,
|  | const long | numberOfSteps |
| ) |  |  |

Construction

Parameters:

  | root | The root control that this control is being added to
  | uniqueId | The unique Identifier of this control or CCONTROL_NO_ID_REQUIRED if no id is required
  | area | The area of this control relative to the root controls top left
  | numberOfSteps | The number of divisions to the level meter

virtual Exponent::GUI::Controls::CLevelMeter::~CLevelMeter | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual void Exponent::GUI::Controls::CLevelMeter::drawControl | ( | CGraphics & | graphics | ) | `[virtual]`

Draw the control

Parameters:

  | graphics | The graphics context

Reimplemented from Exponent::GUI::Controls::CControl.

virtual void Exponent::GUI::Controls::CLevelMeter::setLineColour | ( | const CAlphaColour & | lineColourMin,
|  | const CAlphaColour & | lineColourMax |
| ) |  |  | `[virtual]`

Set the line colour

Parameters:

  | lineColourMin | The min value line colour
  | lineColourMax | The max value line colour

virtual void Exponent::GUI::Controls::CLevelMeter::setValue | ( | const double | value | ) | `[virtual]`

Set the value

Parameters:

  | value | The level of the meter, scaled 0 - 1

Reimplemented from Exponent::GUI::Controls::CControl.

## Member Data Documentation

long Exponent::GUI::Controls::CLevelMeter::deltaPerStep[3]`[protected]`

Delta RGB values for each stage

Definition at line 93 of file CLevelMeter.hpp.

CDimension Exponent::GUI::Controls::CLevelMeter::m_gradingDimension`[protected]`

Size of the grading

Definition at line 90 of file CLevelMeter.hpp.

bool Exponent::GUI::Controls::CLevelMeter::m_isVertical`[protected]`

Are we vertical or horizontal

Definition at line 89 of file CLevelMeter.hpp.

CAlphaColour Exponent::GUI::Controls::CLevelMeter::m_lineColourMax`[protected]`

The max value line colour

Definition at line 92 of file CLevelMeter.hpp.

CAlphaColour Exponent::GUI::Controls::CLevelMeter::m_lineColourMin`[protected]`

The min value line colour

Definition at line 91 of file CLevelMeter.hpp.

long Exponent::GUI::Controls::CLevelMeter::m_numberOfSteps`[protected]`

How many stages

Definition at line 88 of file CLevelMeter.hpp.

long Exponent::GUI::Controls::CLevelMeter::m_numberToDraw`[protected]`

Total stages to draw

Definition at line 87 of file CLevelMeter.hpp.